## calamares 3.3.0-alpha2

=== debian/changelog ===
calamares (3.3.0-alpha2-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:04:56 +0000

calamares (3.3.0-alpha2-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Removed obsolete maintainer manpage.
  * Updates lintian override names to match currently accepted names.
  * Updated debian/watch to download the correct tarball.
  * Overhauled debian/watch to support GPG verification.
  * Imported debian/upstream/signing-key.asc.
  * ~~Updated~~ UTTERLY AND TOTALLY REBUILT debian/copyright.
  * Bumped Standards-Version to 4.6.1, no changes necessary.
  * Removed trailing whitespace from changelog.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 25 Aug 2022 16:17:52 -0500
