=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libappstreamqt-dev,
               libboost-python-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5plasma-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkpmcore-dev,
               libparted-dev,
               libpolkit-qt5-1-dev,
               libpwquality-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libyaml-cpp-dev,
               os-prober <!nocheck>,
               pkg-config,
               pkg-kde-tools,
               policykit-1 <!nocheck>,
               python3-dev,
               qml-module-qtquick-layouts,
               qml-module-qtquick-privatewidgets,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtlocation5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares
Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares
XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober, ${misc:Depends}, ${shlibs:Depends}
Recommends: btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.
