## calamares 3.3.0-alpha4

=== debian/changelog ===
calamares (3.3.0-alpha4-0ubuntu3) noble; urgency=medium

  * Add util-linux-extra as a runtime dependency to allow hwclock to work.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 19 Nov 2023 22:12:06 -0600

calamares (3.3.0-alpha4-0ubuntu2) noble; urgency=medium

  * Fixed encrypted installations. (LP: #2043301)
  * Fixed watch file.
  * Swapped out an obsolete build dependency (poilcykit-1).
  * Created upstream/metadata file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 14 Nov 2023 17:32:18 -0600

calamares (3.3.0-alpha4-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.6.2, no changes needed.
  * Update Vcs-*, since we no longer maintain this with Ubuntu Studio.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 12:33:39 -0500

calamares (3.3.0-alpha2-0ubuntu6) mantic; urgency=medium

  * Add support for Netplan backends (LP: #2036999).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Oct 2023 11:41:22 -0500

calamares (3.3.0-alpha2-0ubuntu5) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:18:13 +0200

calamares (3.3.0-alpha2-0ubuntu4) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2023 07:31:56 -0500

calamares (3.3.0-alpha2-0ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 09:48:29 +0000
