=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                os-prober <!nocheck>,
                pkg-config,
                pkg-kde-tools,
-               policykit-1 <!nocheck>,
+               polkitd,
                python3-dev,
                qml-module-qtquick-layouts,
                qml-module-qtquick-privatewidgets,
@@ -41,17 +41,17 @@
                qtlocation5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/calamares/calamares
-Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares
-Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-packaging/
+Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
 XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git
 
 Package: calamares
 Architecture: linux-any
-Depends: os-prober, ${misc:Depends}, ${shlibs:Depends}
+Depends: os-prober, util-linux-extra, ${misc:Depends}, ${shlibs:Depends}
 Recommends: btrfs-progs, squashfs-tools
 Description: distribution-independent installer framework
  Calamares is a distribution-independent installer framework.
