## calamares 3.3.0-alpha6

=== debian/changelog ===
calamares (3.3.0-alpha6-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Add some missing build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2023 16:40:53 -0600
